ImagickPixel::setColorCount
ImagickPixel::setColorValueQuantum
ImagickPixel
PHP Manual

# ImagickPixel::setColorValue

(PECL imagick 2.0.0)

ImagickPixel::setColorValue — Sets the normalized value of one of the channels

### Description

bool ImagickPixel::setColorValue ( int `$color` , float `$value` )

Sets the value of the specified channel of this object to the provided value, which should be between 0 and 1. This function can be used to provide an opacity channel to an ImagickPixel object.

### Parameters

`color`

  One of the Imagick color constants e.g. \Imagick::COLOR_GREEN or \Imagick::COLOR_ALPHA.

`value`

  The value to set this channel to, ranging from 0 to 1.

### Return Values

Returns `TRUE` on success.

### Examples

Example #1 Basic Imagick::setColorValue() usage

`<?php
$color = new \ImagickPixel('firebrick');
$color->setColorValue(Imagick::COLOR_ALPHA, 0.5);
print_r($color->getcolor(true));
?>`

The above example will output:

    Array
    (
        [r] => 0.69803921568627
        [g] => 0.13333333333333
        [b] => 0.13333333333333
        [a] => 0.50000762951095
    )

ImagickPixel::setColorCount
ImagickPixel::setColorValueQuantum
ImagickPixel
PHP Manual